#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n, m, t, s=0, i=0, j=0;
    cin>>t;
    int a[i][j];
    for (i=0;i<t;i++)
        cin>>n>>m;
        while(a[i]>=a[j])
        {
            if (a[j]>=a[i] && i<n && j<m)
            {
                string tt;
                for(int k=0;k<a[j]-a[i];k)
                    insert(1):t;
                for(int p=0;p<a[i];p++)
                    push_back(0):t;
                i++;
                j++;
                cout<<tt<<endl;
            }
            if(a[j]<a[i])
            {
                clear();
                cout<<"-1";
            }
        }

    return 0;
}